# Intel PASD 3 Jack Configurations

[Models]
HDAUDIO\FUNC_01&VEN_8384&DEV_7680=this
HDAUDIO\FUNC_01&VEN_8384&DEV_7681=this
HDAUDIO\FUNC_01&VEN_8384&DEV_7682=this
HDAUDIO\FUNC_01&VEN_8384&DEV_7683=this
default=this

[CopyFiles]
stac97.cpl = 0x25
stacapi.dll = 0x25

[APPS]
sonicfocussetup=yesinvisible

[DelRegKeys]
HKR\Settings=Yes
HKCU\Software\Sigmatel\Settings=Yes
HKLM\Software\Sigmatel\Presets=Yes
HKCU\Software\Microsoft\Windows\CurrentVersion\Applets\Volume Control\SigmaTel Audio=Yes
HKCU\Software\Microsoft\Windows\CurrentVersion\Applets\Volume Control\SigmaTel C-Major Audio=Yes
HKCU\Software\Microsoft\Windows\CurrentVersion\Applets\Volume Control\SigmaTel High Definition Audio=Yes

[HKR\Settings]
InitVerbs                       = hex: 34,e4,17,00
CPL_EnableSpreaderPage          = hex: 0
CPL_EnableEqPage 		= hex: 0
CPL_MaySwitchExtAmpPowerState	= hex: 0
CPL_SaveExtraPower 		= hex: 0
CPL_SecondsAfter 		= dword: 5
#CPL_SpdifTransmitterEnabledByUser = hex: 1
CPL_UserControlsMaySwitchExtAmpPowerState = hex: 0
#CPL_UserControlsFixedDigitalOutRate = hex: 1
#CPL_FixedDigitalOutRate         = dword: 48000
CPL_EnableJacksPage             = Hex: 0

TraceFlags                      = dword: 0x89b3

[HKR\Settings\pin]

[HKR\Settings\pin\0A]
CfgDflt = dword: 0x0221421F     #0A#<STAC9220>(Port A:Pins39/41)Jack(1/8" Stereo/Mono)HP Out,Green,A:1,S:F,Loc:Primary Chassis External,Front,Det:No,Imp:Yes
action = hex: 0x81,0xd,0x81,0xc,0x81,0xb

[HKR\Settings\pin\0B]
CfgDflt = dword: 0x01A19022     #0B#<STAC9220>(Port B:Pins21/22)Jack(1/8" Stereo/Mono)Mic In,Pink,A:2,S:2,Loc:Primary Chassis External,Rear,Det:No,Imp:No
AltCfg = hex: 12,90,11,01     #0B#[Speaker,1,2]

[HKR\Settings\pin\0C]
CfgDflt = dword: 0x01813221     #0C#<STAC9220>(Port C:Pins23/24)Jack(1/8" Stereo/Mono)Line In,Blue,A:2,S:1,Loc:Primary Chassis External,Rear,Det:No,Imp:Yes
AltCfg = hex: 11,32,11,01     #0C#[Speaker,1,1]

[HKR\Settings\pin\0D]
CfgDflt = dword: 0x01114210     #0D#<STAC9220>(Port D:Pins35/36)Jack(1/8" Stereo/Mono)Speaker,Green,A:1,S:0,Loc:Primary Chassis External,Rear,Det:No,Imp:Yes
AltCfg = hex: 10,42,21,01     #0D#[HP Out,1,0]

[HKR\Settings\pin\0E]
CfgDflt = dword: 0x400000F0     #0E#<STAC9220>(Port E:Pins14/15)No Connection(Unknown Type)Line Out,Unknown Color,A:F,S:0,Loc:Primary Chassis External,N/A,Det:No,Imp:No

[HKR\Settings\pin\0F]
CfgDflt = dword: 0x400000F1     #0F#<STAC9220>(Port F:Pins16/17)No Connection(Unknown Type)Line Out,Unknown Color,A:F,S:1,Loc:Primary Chassis External,N/A,Det:No,Imp:No

[HKR\Settings\pin\10]
CfgDflt = dword: 0x400000F2     #10#<STAC9220>(SPDIF Out:Pin48)No Connection(Unknown Type)Line Out,Unknown Color,A:F,S:2,Loc:Primary Chassis External,N/A,Det:No,Imp:No

[HKR\Settings\pin\11]
CfgDflt = dword: 0x400000F3     #11#<STAC9220>(SPDIF In:Pin47)No Connection(Unknown Type)Line Out,Unknown Color,A:F,S:3,Loc:Primary Chassis External,N/A,Det:No,Imp:No

[HKR\Settings\pin\15]
CfgDflt = dword: 0x02A19320     #15#<STAC9220>(CD In:Pins18/19/20)Jack(1/8" Stereo/Mono)Mic In,Pink,A:2,S:0,Loc:Primary Chassis External,Front,Det:Yes,Imp:Yes

[HKR\Settings\pin\1B]
CfgDflt = dword: 0x400000F4     #1B#<STAC9220>(I2S Out:Pin44)No Connection(Unknown Type)Line Out,Unknown Color,A:F,S:4,Loc:Primary Chassis External,N/A,Det:No,Imp:No

[HKR\Settings\connselector]

[HKR\Settings\Spreader]
Bypass                 = dword: 1

[HKR\Settings\filter\Rear]
UniqueId 		= hex: 0
LegacyIoctlHere 	= hex: 1
CaptureConverter 	= hex: 6
RenderConverter  = hex: 2,3,4
#SpdifMaster   = hex: 2
#SpdifOutConverter = hex: 8
DisableSPDIFControl	= hex: 1
EnableInputMonitor      = hex: 1
KeepAdcAlwaysOn         = hex: 1
EnableSetFormatSupport  = hex: 1
EnableHwSpeakerConfigurationSupport = hex: 0
MasterControlsIndependentMixerInputs = hex:1

#24-bit resolution, all rates except 8K
EnabledPcmRenderBitsAndRates = dword: 0xfffffffe
EnabledPcmCaptureBitsAndRates = dword: 0xfffffffe

# Sonic Focus Plugin 
LoadInputPlugin         = dword: 104
LoadOutputPlugin        = dword: 105

[HKR\Settings\filter\Rear\TopoNames]
Mic2In = "{A72A6A9C-896A-45ce-AD88-6BB096B11B36}"
InpMonitor = "{AD16E140-C319-4381-98AB-AB72A3C26892}"

[HKR\Settings\filter\Rear\MaxLvlLimiters]
MicIn = dword: 0x000c0000
Mic2In = dword: 0x000c0000

#-----------------------------------
# stacapi registry entries (includes ASIO CLSID for CPL)
#-----------------------------------

[HKCR\CLSID\{3919846E-7603-44ca-95DE-4E86A804AF7B}]
(Default)="ControlApiA Class"

[HKCR\CLSID\{3919846E-7603-44ca-95DE-4E86A804AF7B}\InprocServer32]
(Default)="stacapi.dll"
ThreadingModel="Single"

[HKCR\CLSID\{8B9C122C-653F-4407-8485-3196C5D15A40}]
(Default)="PortConfig Class"

[HKCR\CLSID\{8B9C122C-653F-4407-8485-3196C5D15A40}\InprocServer32]
(Default)="stacapi.dll"
ThreadingModel="Both"

[HKCR\CLSID\{F323D608-FB63-4C42-931B-764685D84837}]
(Default)="PSFactoryBuffer"

[HKCR\CLSID\{F323D608-FB63-4C42-931B-764685D84837}\InProcServer32]
(Default)="stacapi.dll"
ThreadingModel="Both"

#-----------------------------------
# end stacapi registry entries
#-----------------------------------

[History]
# 1/27/05  Updated config to new schematic info from Janna
# 2/3/05   Add CD and SPDIF
# 2/12/05  Convert to use CPPackager v3.
# 2/14/05  Upgrade to 4400.
# 2/16/05  Beta1: include V6 changes
# 2/17/05  Remove spreader and systray
# 2/17/05  Upgrade to 4410, change spreader key to Bypass = 1.
# 2/17/05  Added MasterControlsIndependentMixerInputs = hex:1
# 2/18/05  Removed STSysTray, removed SPDIF, set pin 10 No connection.
# 2/21/05  Re-configure Alt Mic for new driver
# 2/22/05  Re-configure for new schematic review
# 2/24/05  Update to latest configuration and build 32 and 64
# 3/8/05   Update to 4426 for testing by SQA.
# 3/9/05   Redo packages.  Language sections missing from previous build.  Skipping 17.
# 3/10/05  v19 Upgrade to 4429 for ND SQA testing.  Change installer to 4407pureqfe.
# 3/11/05  v20 Upgrade to 4432 for ND SQA testing.
# 3/12/05  v21 Upgrade to 4433 for ND SQA testing.
# 3/23/05  Chg Seq's for PortB frm 3 to 2
# 4/6/05   Temporarily add STTRAY to configuration
# 4/7/05   Remove sttray
# 4/8/05   Fix RenderConverter for 5.1 and AltCfg's location
